Vla-addellipticalcylinder

提供:GizmoLabs - だいたい CAD LISP なサイト
構文
(vla-addcylinder vla-object center MajorRadius MinorRadius height)


機能
3Dソリッドの楕円柱を作図する。


引数
  • vla-object … 生成する空間のVLAオブジェクト
  • center … 基点の3Dポイント
  • MajorRadius … 楕円底面の長径の長さ(正数)
  • MinorRadius … 楕円底面の短径の長さ(正数)
  • height … 円柱の高さボックスの高さ(正数)


戻り値
作成した3D楕円柱のVLAオブジェクト


サンプル
 ; コマンドで 楕円柱を追加
(command "._cylinder" "E" pause pause pause)

; コマンドで 楕円柱追加(変数利用版)
(defun c:cm-addecylinder (/ pt1 rad1 rad2 hgt)
 (setq pt1 (getpoint "\n円柱の中心点: "))
 (setq rad1 (getreal "\n楕円柱の長径: "))
 (setq rad2 (getreal "\n楕円柱の短径: "))
 (setq hgt (getreal "\n高さ: "))
 (command "._cylinder" "E" pt1 rad1 rad2 hgt)
)

; VLA で 楕円柱 追加(適当にactivex版)
(defun c:ax-addecylinder (/ pt1 rad1 rad2 hgt)
  (vl-load-com)
  (setq *actdoc* (vla-get-activedocument (vlax-get-acad-object)))
  (setq mspace (vla-get-modelspace *actdoc*))
  (setq pt1 (vlax-3d-point (setq pt (getpoint "\n楕円柱の中心点: "))))
  (setq rad1 (getdist "\n楕円柱の長径: " pt))
  (setq rad2 (getdist "\n楕円柱の短径: " pt))
  (setq hgt (getdist "\n円柱の高さ: " pt))
  (vla-addellipticalcylinder mspace pt1 rad1 red2 hgt)
  (princ)
) ;defun


関連事項